﻿//关键词组件
var UpdateSales = function (container) {
    var parent = this;
    //关键词Json串，如果null，指定默认一行的Json串
    this.KeyWordsHiddenName = $(container).attr("data-name");

    var dataStr = $("input[name=" + this.KeyWordsHiddenName + "]").val();
    try {
        this.DateJson = dataStr == null || dataStr == undefined ? null : JSON.parse(dataStr.replace(/&quot;/g, '"'));
    }
    catch (e) { this.DateJson = null; }
    if ((this.DateJson == null ? 0 : this.DateJson.length) == 0) { this.DateJson = [{ "EffectDateBegin": "", "EffectDateEnd": "", "SalesmanId": 0}]; }
    //关键词隐藏域名称
    //关键词组件所在容器
    this.Container = container;
    //console.log($(this.Container).html());
    //每个关键词组合的Html模板代码
    this.HtmlTmp =
        "<div>\
            <input type=\"text\" data-valid=\"EffectDateBegin\" data-type=\"EffectDateBegin\" onchange='FilterChar(this)'  placeholder=\"开始日期\" style=\"width: 120px;\" class=\"m-wrap required\" onkeyup=\"this.value=this.value.replace(/^ +| +$/g,'')\" value=\"{EffectDateBegin}\" />\
            <input type=\"text\" data-valid=\"EffectDateEnd\" data-type=\"EffectDateEnd\" placeholder=\"结束日期\" style=\"width: 120px;\" class=\"m-wrap required\" onkeyup=\"this.value=this.value.replace(/^ +| +$/g,'')\" value=\"{EffectDateEnd}\" readonly='true'/>\
            <select data-type=\"SalesmanId\" value='{SalesmanId}'>"+ $("#SalesmanId").html() +"</select>\
            <a href=\"javascript:;\" data-type=\"add\" style=\"text-decoration:none;font-weight:bold;font-size:26px;\">+</a>\
            <a href=\"javascript:;\" data-type=\"delete\" style=\"text-decoration:none;font-weight:bold;font-size:26px;\">×</a>\
            <span data-type=\"tip\" style=\"color:red\"></span>\
        </div>";
    //将关键词Json串生成控件
    this.Init = function () {
        var keyWordsHtml = "";
        $(parent.DateJson).each(function () {
            keyWordsHtml += parent.HtmlTmp.replace(/{EffectDateBegin}/g, this.EffectDateBegin)
                .replace(/{EffectDateEnd}/g, this.EffectDateEnd)
                .replace(/{SalesmanId}/g, this.SalesmanId);
        });
        $(parent.Container).html(keyWordsHtml);
        $(parent.DateJson).each(function () {
            $("select[value='" + this.SalesmanId + "'] option[value='" + this.SalesmanId +"']").attr("selected", true);
        });

        $(parent.Container).find("a[data-type='delete']").eq(0).hide();
        if ($(parent.Container).attr("data-readonly") == "true") {
            $(parent.Container).find("a[data-type='delete']").hide();
            $(parent.Container).find("a[data-type='add']").hide();
            $(parent.Container).find("input[type='text']").attr("readonly", "readonly");
        }
        $(parent.Container).find("input[data-type='EffectDateBegin']").eq(0).attr("disabled", true);

        //parent.AddHidden();
        parent.Add();
        parent.Delete();
        parent.Update();
        parent.FormSubmitValidate();
    }
    //添加隐藏域
    //this.AddHidden = function () {
    //    if ($("input[name='" + parent.KeyWordsHiddenName + "']").size() == 0) {
    //        $(parent.Container).after("<input type=\"hidden\" name=\"" + parent.KeyWordsHiddenName + "\" />");
    //    }
    //    parent.UpdateJsonHidden();
    //}
    //更新关键词Json串
    this.UpdateJsonHidden = function () {
        $(parent.Container).find("input[data-type='EffectDateEnd']").each(function () {
            debugger;
            var nextBegObj = $(this).parent().next("div").find("input[data-type='EffectDateBegin']");
            if (nextBegObj.length > 0) {
                $(this).val(StringToDate(nextBegObj.val()).DateAdd("d", -1).Format("yyyy-MM-dd"));
            }
        });
        var lastEnd = $(parent.Container).find("input[data-type='EffectDateEnd']").last();
        if (lastEnd.length > 0) { lastEnd.val("9999-01-01"); }

        var keyWordsJsonUpdate = "[", SalesmanId = "", EffectDateBegin = "", EffectDateEnd = "";
        var success = true, message = "";
        var keyWordsList = [];
        $(parent.Container).find("select[data-type='SalesmanId']").each(function () {
            SalesmanId = $(this).val();
            EffectDateBegin = $(this).parent().find("input[data-type='EffectDateBegin']").val();
            EffectDateEnd = $(this).parent().find("input[data-type='EffectDateEnd']").val();

            if (SalesmanId.length > 0 || EffectDateBegin.length > 0 || EffectDateEnd.length > 0 ) {
                keyWordsJsonUpdate += "{\"SalesmanId\":\"" + SalesmanId + "\",\"EffectDateBegin\":\"" + EffectDateBegin + "\",\"EffectDateEnd\":\"" + EffectDateEnd + "\"},";
            }
        });
        if (success) {
            keyWordsJsonUpdate = (keyWordsJsonUpdate.length == 1 ? "[" : keyWordsJsonUpdate.substring(0, keyWordsJsonUpdate.length - 1)) + "]";
            $("input[name='" + parent.KeyWordsHiddenName + "']").val(keyWordsJsonUpdate);
        }
        
    }
    //添加操作
    this.Add = function () {
        $(parent.Container).find("a[data-type='add']").each(function () {
            $(this).unbind("click").bind("click", function () {
                var lastEndDate = $(this).prevAll("input[data-type='EffectDateEnd']");
                var nextBegDate = "";
                if (lastEndDate.length > 0 && lastEndDate.val() != "") {
                    nextBegDate = StringToDate(lastEndDate.val()).DateAdd("d", 1).Format("yyyy-MM-dd");
                }

                var keyWordsHtml2 = parent.HtmlTmp.replace(/{EffectDateBegin}/g, nextBegDate).replace(/{EffectDateEnd}/g, "").replace(/{SalesmanId}/g, "");
                $(this).parent().after(keyWordsHtml2);
                parent.UpdateJsonHidden();
                parent.Update();
                parent.Delete();
                parent.Add();
            });
        });
    }
    //删除操作
    this.Delete = function () {
        $(parent.Container).find("a[data-type='delete']").each(function (idx) {
            //if (idx > 0) $(this).show();
            $(this).unbind("click").bind("click", function () {
                $(this).parent().remove();
                parent.UpdateJsonHidden();
            });
        });
    }

    //验证控件值有效性
    this.ValidateControl = function (control) {
        return true;
    }
    //错误控件列表
    this.ErrControlList = new Array();
    //文本框更新事件
    this.Update = function () {
        $(parent.Container).find("select[data-type='SalesmanId']").on('change',  function () {
            //console.log($(this).attr("data-valid"));
            //if (parent.ValidateControl(this))
            try {
                parent.ValidateControl(this);
            }
            catch (e) { }
            parent.UpdateJsonHidden();
        });

        $(parent.Container).find("input[type='text']").unbind("blur").bind("blur", function () {
            //console.log($(this).attr("data-valid"));
            //if (parent.ValidateControl(this))
            try {
                parent.ValidateControl(this);
            }
            catch (e) { }
            parent.UpdateJsonHidden();
        });
        $(":text[data-type='EffectDateBegin']").datetimepicker({
            autoclose: true,
            maxView: 4,
            minView: 4,
            format: 'yyyy-mm-dd',
            language: 'zh-CN',
            pickerPosition: 'bottom-right',
            endDate: new Date()
        }).on('changeDate', function (ev) { parent.UpdateJsonHidden(); });
    }
    //表单提交验证
    this.FormSubmitValidate = function () {
        $("form").submit(function () {
            if (parent.ErrControlList.length > 0) {
                parent.ValidateControl(parent.ErrControlList[0]);
                return false;
            }
        });
    }
    var putOnLimitBefore = 0, putOnLimitAfter = 0;
    //监视投放量级
    this.MonitorPutOnLimit = function (putOnLimitObj) {
        $(putOnLimitObj).unbind("keydown").bind("keydown", function () { putOnLimitBefore = isNaN(parseInt($(this).val())) ? 0 : parseInt($(this).val()); })
        $(putOnLimitObj).unbind("keyup").bind("keyup", function () {
            putOnLimitAfter = isNaN(parseInt($(this).val())) ? 0 : parseInt($(this).val());
            if (putOnLimitAfter != putOnLimitBefore) {
                parent.UpdateKeyWordsPutOnLimit(putOnLimitAfter);
            }
        })
    }
    //根据投放量级和关键词投放比例，更新关键词投放量级
    this.UpdateKeyWordsPutOnLimit = function (putOnLimit) {
        var keyWordsPutOnLimit = 0;
        $(parent.Container).find("input[data-type='PutOnProportion']").each(function (idx) {
            if (!isNaN(parseInt($(this).val()))) {
                keyWordsPutOnLimit = Math.round(putOnLimit * parseInt($(this).val()) / 100);
                $(this).parent().find("input[data-type='PutOnLimit']").val(keyWordsPutOnLimit);
            }
        });
        parent.UpdateJsonHidden();
    }
}

//关键词操作
var UpdateSalesOperate = function () {
    new UpdateSales($("#updateSalesDiv")).Init();
    //$('*[data-keywords]').each(function () {
    //    //console.log($(this).attr("data-keywords") + "," + $(this).attr("data-name"));
    //    //console.log($(this).html());
    //    new UpdateSales($(this).attr("data-keywords"), $(this).attr("data-name"), this).Init();
    //});
}

//设置tbody滚动时，thead固定不动
var SetTableScroll = function () {
    $(window).scroll(function () {
        var minTop = 60;
        var tbodyTop = ($("tbody").offset().top - $(".navbar-inner").offset().top);
        var theadHeight = $("thead").height();

        console.log(tbodyTop);

        if (tbodyTop - theadHeight <= minTop) {
            $("thead").css({
                "position": "absolute"
            });
            $("thead").css("top", minTop + "px");
            $("thead").css("background-color", "#f1f1f1");
            $("tbody").find("tr").eq(0).find("td").each(function (idx, item) {
                //console.log(idx + "___" + $(this).width());
                console.log(item);
                $("thead").find("tr").eq(0).find("th").eq(idx).width($(item).width());
            });

        }
        else {
            $("thead").css("position", "");
            $("thead").css("top", "");
            $("thead").css("background-color", "");
        }
        //console.log($("thead").offset().top);
        //console.log($(".navbar-inner").offset().top);
    });
}

$(document).ready(function () {
    //初始化时间控件
    UpdateSalesOperate();
});