function escapeSetS(el, types, val, putonId) {
    if (!el) return;
    switch (types) {
        case 'img':
            el.src = val;
            if (putonId) {
                el.setAttribute("data-putonid", putonId);
            }
            break
        case 'bgImg':
            if (putonId) {
                el.setAttribute("data-putonid", putonId);
            }
            el.style.backgroundImage = 'url(' + val + ')'
            break
        case 'bgC':
            el.style.background = val
            break
        case 'bdC':
            el.style.borderColor = val
            break
        case 'text':
            el.innerHTML = val
            break
        case 'color':
            el.style.color = val
            break
        case 'strokeColor':
            el.setAttribute("stroke", val);
            el.style.color = val;
            el.style.background = val;
            break
    }
}

window.setStyle = function (Data) {
    //2
    //Data = { "data": { "page": [{ "query": "#transbrand2", "editType": "bgC", "bgC": "" }, { "query": ".transbrand", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/bg.4ce5db8.jpg" }, { "query": ".my-prize", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/myprize.png" }, { "query": ".my-ruler", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/ruler.png" }], "game": [{ "query": ".remainder", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/count.png" }, { "query": ".remainderBgc", "editType": "bgC", "bgC": "" }, { "query": ".remainderBgc span", "editType": "color", "color": "" }, { "query": ".brand-wrapper", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/bgImg.png" }, { "query": "#money-get .getXianCon .active", "editType": "bgC", "bgC": "" }, { "query": "#money-get .getXianCon .default", "editType": "bgC", "bgC": "" }, { "query": "#money-get .line", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand2/getMLine.png" }, { "query": "#money-get .rollInMoney", "editType": "img", "putonId": "78854", "img": "//static.qianmaiapp.com/iad/img/transbrand2/getMoney.png" }, { "query": "#money-get .reops", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand/reops.fb0101d.png" }, { "query": "#money-get .trans", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand/trans.png" }, { "query": "#money-get .red0", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand2/red.92c0c66.png" }, { "query": "#money-get .goldLeft", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand2/golds.b512843.png" }, { "query": "#money-get .goldRight", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand2/golds2.297e83e.png" }, { "query": "#money-get .finalRed", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand2/red2.515a56e.png" }], "prize": [{ "query": ".prizeItem img.redUrl", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand2/red.92c0c66.png" }, { "query": ".prizeItem img.defaultUrl", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand/trans.png" }, { "query": "#pop .luckyprize", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand2/red.92c0c66.png" }, { "query": "#pop .signcomm", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand/trans.png" }, { "query": ".winning#pop .close", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/x.png" }, { "query": ".winning#pop .winning-bg", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/popbg.09d4740.png" }, { "query": ".winning#pop .prize-wrapper", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/pop_head.a20d753.png" }, { "query": ".winning#pop .prize-msg", "editType": "bgC", "bgC": "" }, { "query": ".winning#pop .go-to", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/pop_foot.34e9e83.png" }, { "query": ".winning#pop .start-click", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/jump.png" }, { "query": "#shift .luckyprize", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand2/lucky2.59ec2ef.png" }, { "query": "#shift .signcomm", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand/trans.png" }, { "query": ".winning#shift .close", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/x.png" }, { "query": ".winning#shift .winning-bg", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/popbg.09d4740.png" }, { "query": ".winning#shift .prize-wrapper", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand2/shift_head.e66cd9e.png" }, { "query": ".winning#shift .prize-msg", "editType": "bgC", "bgC": "" }, { "query": ".winning#shift .go-to", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand2/count2.png" }, { "query": ".winning#shift .start-click", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand2/jump2.3dab61b.png" }], "rule": [{ "query": ".rule-window .rule-content", "editType": "bgImg", "bgImg": "//static.qianmaiapp.com/iad/img/transbrand/rulerbg.png" }, { "query": ".rule-window .rule-content h1", "editType": "color", "color": "" }, { "query": ".rule-window .rule-content .prize-info", "editType": "color", "color": "" }, { "query": ".rule-window .rule-content .prize-info span", "editType": "text", "text": "ʱΪ2018.1.16-2018.1.26<br>˻ΪнƷޣףˣ<br>ϲƷ<br>ϲһƷ<br>ϲֽ<br>ϲǰͿ˱<br>ϲģɰ<br>ο<br>" }, { "query": ".rule-window .rule-content .important-explan", "editType": "color", "color": "" }, { "query": ".rule-window .rule-content .important-explan span", "editType": "text", "text": "Ҫ" }, { "query": ".rule-window .rule-content .prize-other-info", "editType": "color", "color": "" }, { "query": ".rule-window .rule-content .prize-other-info span", "editType": "text", "text": "1.ʵཱƷڻ5-10հŷĵȴ<br>2.ŻȯཱƷʹԼÿŻȯ<br>3.ýƷϸĶʹ̣ʿֱϵͷ0571-85023258" }, { "query": ".rule-window .btnx img", "editType": "img", "img": "//static.qianmaiapp.com/iad/img/transbrand/x.png" }] }, "version": "1.0" };
    //ҽ
    //Data = {"data":{"page":[{"query":"#sam-eggs","editType":"bgC","bgC":""},{"query":".sam-egg-bg img","editType":"img","index":"0","img":"//static.qianmaiapp.com/iad/img/goldegg-bg.2fbe249.jpg"},{"query":".sam-egg-bg .rule img","editType":"img","img":"//static.qianmaiapp.com/iad/img/rule.png"},{"query":".sma-banner img","editType":"img","img":"//static.qianmaiapp.com/iad/img/goldegg-banner.png"},{"query":".sma-banner .my-prize","editType":"bgImg","bgImg":"//static.qianmaiapp.com/iad/img/goldegg-myPrize.png"}],"game":[{"query":".hammer img","editType":"img","img":"//static.qianmaiapp.com/iad/img/goldegg-chui.png"},{"query":".eggs-row .egg-wrapper .original","editType":"bgImg","index":"0","bgImg":"//static.qianmaiapp.com/iad/img/eggs.png"},{"query":".eggs-row .egg-wrapper .original","editType":"bgImg","index":"1","bgImg":"//static.qianmaiapp.com/iad/img/eggs.png"},{"query":".eggs-row .egg-wrapper .original","editType":"bgImg","index":"2","bgImg":"//static.qianmaiapp.com/iad/img/eggs.png"},{"query":".eggs-row .egg-wrapper .original","editType":"bgImg","index":"3","bgImg":"//static.qianmaiapp.com/iad/img/eggs.png"},{"query":".eggs-row .egg-wrapper .original","editType":"bgImg","index":"4","bgImg":"//static.qianmaiapp.com/iad/img/eggs.png"},{"query":".eggs-row .egg-wrapper .original","editType":"bgImg","index":"5","bgImg":"//static.qianmaiapp.com/iad/img/eggs.png"},{"query":".current-number","editType":"color","color":""}],"prize":[{"query":".prize-list .prize-icon","editType":"bgImg","bgImg":"//static.qianmaiapp.com/iad/img/prize-icon.png"},{"query":".prize-list ul","editType":"bgC","bgC":""},{"query":"#scrollContent li img","editType":"img","putonId":"78870","index":"0","img":"//static.qianmaiapp.com/iad/img/li-award.png"},{"query":"#scrollContent li img","editType":"img","putonId":"78875","index":"1","img":"//static.qianmaiapp.com/iad/img/li-award.png"},{"query":"#scrollContent li img","editType":"img","putonId":"","index":"2","img":"//static.qianmaiapp.com/iad/img/li-award.png"},{"query":"#scrollContent li img","editType":"img","putonId":"","index":"3","img":"//static.qianmaiapp.com/iad/img/li-award.png"},{"query":"#scrollContent li img","editType":"img","putonId":"","index":"4","img":"//static.qianmaiapp.com/iad/img/li-award.png"}],"rule":[{"query":".rule-window .rule-content","editType":"bgImg","bgImg":"//static.qianmaiapp.com/iad/img/rulebg.png"},{"query":".rule-window .rule-content h1","editType":"color","color":""},{"query":".rule-window .rule-content .prize-info","editType":"color","color":""},{"query":".rule-window .rule-content .prize-info span","editType":"text","text":"ʱΪ2018.3.6-2018.6.30<br>˻ΪнƷޣףˣ<br>ϲƷ<br>ϲһ800Ԫ<br>ϲ500Ԫ<br>ϲ3G<br>ϲģ1G<br>ϲ壺<br>"},{"query":".rule-window .rule-content .important-explan","editType":"color","color":""},{"query":".rule-window .rule-content .prize-other-info","editType":"color","color":""},{"query":".rule-window .rule-content .prize-other-info span","editType":"text","text":"1.ƷȡϽҵĽƷΪ׼鿴飬ָʾ̽в<br>2.ʵཱƷڻ5-10հŷĵȴ<br>3.ŻȯཱƷʹԼÿŻȯ<br>4.ýƷϸĶʹ̣ʿֱϵͷ0571-85023258"},{"query":".rule-window .btnx img","editType":"img","img":"//static.7198o.cn/iad/img/x.png"},{"query":".apple-careful","editType":"bgC","bgC":""},{"query":".apple-careful p","editType":"color","color":""}]},"version":"1.0"}
    //Data = JSON.stringify(Data);
    Data = Data === '' ? {} : JSON.parse(Data);
    for (var key in Data.data) {
        Data.data[key].forEach(function (item) {
            if (item.index) {
                escapeSetS($(item.query)[item.index], item.editType, item[item.editType], item.putonId)
            } else {
                for (var i = 0, els = $(item.query); i < els.length; i++) {
                    var $el = els[i];
                    escapeSetS($el, item.editType, item[item.editType], item.putonId)
                }
            }
        })
    }
}
